package homework3_3.Animal;
/*
Рассматриваются следующие животные:
● летучая мышь (Bat)
● дельфин (Dolphin)
● золотая рыбка (GoldFish)
● орел (Eagle)
Все животные одинаково едят и спят (предположим), и никто из животных не
должен иметь возможности делать это иначе.
Еще животные умеют по-разному рождаться (wayOfBirth):
● Млекопитающие (Mammal) живородящие.
● Рыбы (Fish) мечут икру.
● Птицы (Bird) откладывают яйца.
Помимо этого бывают некоторые особенности, касающиеся передвижения.
Бывают летающие животные (Flying) и плавающие (Swimming). Однако орел
летает быстро, а летучая мышь медленно. Дельфин плавает быстро, а золотая
рыбка медленно.
Согласно этим утверждениям нужно создать иерархию, состоящую из классов,
абстрактных классов и/или интерфейсов. Каждое действие или утверждение
подразумевает под собой вызов void метода, в котором реализован вывод на
экран описания текущего действия.

 */

public class Main {
    public static void main(String[] args) {
        Dolphin dolphin = new Dolphin();
        dolphin.swim();
        dolphin.wayOfBirth();
        dolphin.move();
        dolphin.eat();

        GoldFish goldFish = new GoldFish();
        goldFish.swim();
        goldFish.wayOfBirth();
        goldFish.move();
        goldFish.eat();
    }
}
